repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: debug-statements
      - id: end-of-file-fixer
        exclude: |
          (?x)^(
              docs/src/diagrams/export/|
          )|
          .drawio$
      - id: trailing-whitespace
        exclude: |
          (?x)^(
              docs/src/diagrams/export/|
          )|
          .drawio$
      - id: check-json
  - repo: https://github.com/ambv/black
    rev: 23.1.0
    hooks:
      - id: black
        files: ^(src/|tests/)
  - repo: https://github.com/pycqa/flake8.git
    rev: 6.0.0
    hooks:
      - id: flake8
        files: ^(src/|tests/)
  - repo: https://github.com/PyCQA/isort
    rev: 5.12.0
    hooks:
      - id: isort
        files: ^(src/|tests/)
        args: [ "--profile", "black" ]
